commit: 31d3ae8bbdb30450b1658dbf864c194d0ffcf2de
Author: Ian Stakenvicius <axs <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 6 17:15:18 2017 +0000
Commit: Ian Stakenvicius <axs <AT> gentoo <DOT> org>
CommitDate: Fri Oct 6 17:15:18 2017 +0000
URL: https://gitweb.gentoo.org/proj/mozilla.git/commit/?id=31d3ae8b
scripts/generate_langpacks.sh: kill script of mercurial is not found
scripts/generate_langpacks.sh | 5 +++++
1 file changed, 5 insertions(+)
diff --git a/scripts/generate_langpacks.sh b/scripts/generate_langpacks.sh
index ad9f7cf..c80a326 100755
--- a/scripts/generate_langpacks.sh
+++ b/scripts/generate_langpacks.sh
@@ -21,6 +21,11 @@ fi
ebuild=${1}
+if ! hg --version &>/dev/null; then
+ echo "$0 needs mercurial -- aborting"
+ exit 1
+fi
+
if [[ ${ebuild/.ebuild/} == ${ebuild} ]] || [[ ! -e ${ebuild} ]]; then
echo "Must specify the full path to the ebuild as arg.1"
fi